
capture log close
log using e:/temp/wvs.log,replace
clear
set memory 128m
set more off

use "E:\о\\ڿ\Ա\\wvs.dta"


*1Data 

*1.1 ѡݣɾȥ
*S003 ʾУChina 156 United States 840

 recode S003 (156 840=1)(else=0),gen(s003)
 keep if s003==1

 *country
  gen country=S003
  label define country  156"China" 840"USA"
  label values country country

*1.2 ѡʱ㣬1995Լ1999/2001
*S020 ʾʱ

 recode S020 (1995/2001=1)(else=0),gen(s020)
 keep if s020==1
 
 *period
  recode S020 (1995=0)(1999/2001=1),gen(period)
  label define period 1"1999/2001" 0"1995"
  label values period period
 
* 1.3 
 tabu period country
  
 
*2Dependent Variable 
*2.1 ԱȨƽȹά
 
 *C001 
 *裺ʱӦŮиľҵȨ
 *ѡ1 ͬ 2 ͬ 3 ν
 
  *ֵ
  recode C001 (-5/-1=.)(1=1)(2=3)(3=2),gen (c001)
 
  *׼
  egen sc001=std(c001)
  
  *
  tabu period if country==156,sum(sc001)
  tabu period if country==840,sum(sc001)

  
 *D059
 *裺˵˱Ů˸ܳΪõ
 *ѡ1 ȫͬ 2 ͬ 3 ͬ 4 ȫͬ
 
  *ֵ
  recode D059 (-5/-1=.),gen(d059)
  
  *׼
  egen sd059=std(d059)
  
  *
  tabu period if country==156,sum(sd059)
  tabu period if country==840,sum(sd059)

  
 *D060
 *裺ѧкȶŮҪ
 *ѡ1 ȫͬ 2 ͬ 3 ͬ 4 ȫͬ
 
  *ֵ
  recode D060 (-5/-1=.),gen(d060)
  
  *׼
  egen sd060=std(d060)
 
  *
  tabu period if country==156,sum(sd060)
  tabu period if country==840,sum(sd060) 

  
*2.2 Աɫֹά 

 *D056
 *裺йĸ׿ͥһͬӽһůι̵Ĺϵ
 *ѡ1 ȫͬ 2 ͬ 3 ͬ 4 ȫͬ
 
  *ֵ
  recode D056 (4=1)(3=2)(2=3)(1=4)(-5/-1=.),gen(d056)
  
  *׼
  egen sd056=std(d056)
  
  *
  tabu period if country==156,sum(sd056)
  tabu period if country==840,sum(sd056)
 
 
 *D057
 *裺ͥ⹤ͬʹ˳ʵ
 *ѡ1 ȫͬ 2 ͬ 3 ͬ 4 ȫͬ
 
  *ֵ
  recode D057 (4=1)(3=2)(2=3)(1=4)(-5/-1=.),gen(d057)
 
  *׼
  egen sd057=std(d057)
 
  *
  tabu period if country==156,sum(sd057)
  tabu period if country==840,sum(sd057)
 
 
 *D058
 *裺ɷӦùͬеͥľ
 *ѡ1 ȫͬ 2 ͬ 3 ͬ 4 ȫͬ
 
  *ֵ
  recode D058 (4=1)(3=2)(2=3)(1=4)(-5/-1=.),gen(d058)
  
  *׼
  egen sd058=std(d058)
  
  *
  tabu period if country==156,sum(sd058)
  tabu period if country==840,sum(sd058)
 

*2.3 
 *f1 ԱȨƽȹ
 *f2 Աɫֹ
 
 factor sc001 sd059 sd060 sd056 sd057 sd058 if country==156,pcf
 rotate
 
 factor sc001 sd059 sd060 sd056 sd057 sd058 if country==840,pcf
 rotate
 
 factor sc001 sd059 sd060 sd056 sd058 if country==156,pcf
 rotate
 
 factor sc001 sd059 sd060 sd056 sd058 if country==840,pcf
 rotate
 
 factor sc001 sd059 sd060 sd056 sd058,pcf
 rotate
 predict f1 f2
 
 *
 tabu period if country==156,sum(f1)
 tabu period if country==840,sum(f1)
 tabu period if country==156,sum(f2)
 tabu period if country==840,sum(f2)
 
 
*3Independent Variable Ա

*3.1 cohort
 *birth year 
 recode X002 (-5/-1=.),gen(ybirth)
 sum ybirth
 
 *cohort
 recode ybirth (min/1939=1)(1940/1949=2)(1950/1959=3)(1960/1969=4) ///
  (1970/max=5)(else=.),gen(cohort) 
 label define cohort 1"min/1939" 2"1940/1949" 3"1950/1959" 4"1960/1969" 5"1970/max"
 label values cohort cohort
 
 tabu cohort,gen(cohort)
 tabu country cohort,row

*3.2 sex
 recode X001 (1=1)(2=0)(else=.),gen(sex)
 label define sex 1"" 0"Ů"
 label values sex sex
 
 tabu sex,m
 tabu country sex,row
 
*3.3 education
 recode X025 (1 2=1)(3/6=2)(7 8=3)(else=.),gen(edu)
 label define edu 1"Ƚ" 2"еȽ" 3"ߵȽ"
 label values edu edu
 
 tabu edu,gen(edu)
 tabu country edu,row
 
*3.4 work
 recode X028 (1/3=1)(4/7=0)(else=.),gen(work)
 label define work 1"" 0"޹" 
 label values work work
 
 tabu work,m
 tabu country work,row
 
*3.5 marriage
 recode X007 (1 2=1)(3/5=2)(6=3)(else=.),gen(marriage)
 label define marriage 1"ѻ" 2"/־/ɥż" 3"δ" 
 label values marriage marriage
 
 tabu marriage,gen(marriage)
 tabu country marriage,row
 
*3.6 family emoconic class
 recode X047 (-5/-1=.),gen(eclass)
 
 
*4Model
*4.1 
 sum f1 f2 
 
 tabu country,sum(f1)
 tabu country,sum(f2)
 tabu country cohort,row
 tabu country sex,row
 tabu country edu,row
 tabu country work,row
 tabu country marriage,row
 tabu country,sum(eclass)

*4.2 t-
*4.2.1 ڲͬάȱȽ
 *China
 ttest f1=f2 if country==156
 bysort period: ttest f1=f2 if country==156
 
 *USA
 ttest f1=f2 if country==840
 bysort period: ttest f1=f2 if country==840
 

*4.2.2 ֮Ƚ
 *f1
 ttest f1, by(country)
 bysort period: ttest f1, by(country)
 
 *f2
 ttest f2, by(country)
 bysort period: ttest f2, by(country)

 
*4.3 Ԫعģ
 *China
 regress f1 i.cohort sex i.edu i.work i.marriage eclass i.period if country==156
  est store x1
 regress f2 i.cohort sex i.edu i.work i.marriage eclass i.period if country==156
  est store x2
 
 *USA
 regress f1 i.cohort sex i.edu i.work i.marriage eclass i.period if country==840
  est store y1
 regress f2 i.cohort sex i.edu i.work i.marriage eclass i.period if country==840
  est store y2
  
 estout x1 x2 using x1.xls,cells("b(star fmt(3))" se(fmt(3))) replace 
 estout y1 y2 using y1.xls,cells("b(star fmt(3))" se(fmt(3))) replace 

 
save e:/temp/wvs.dta,replace	
log close



